<?php

/**
 * Plugin Name: Ritz News Articles
 * Description: Easily add news articles to front page.
 * Version:     1.0
 * Author:      William Damm - Rapid Rollout
 * Author URI:  https://rapid-rollout.com
 * License:     GPL v2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 */

include( plugin_dir_path(__FILE__) . '/includes/menu-setup.php' );

include( plugin_dir_path(__FILE__) . '/includes/frontend-markup.php' );

include( plugin_dir_path(__FILE__) . '/includes/settings-markup.php' );


 function plugin_settings() {

 if ( !get_option( 'news_article_settings' ) ) {
   add_option( 'news_article_settings' );
 }

   add_settings_section(
     'settings-area',
     'Set Main Content Articles',
     '',
     'plugin_menu'
   );

   add_settings_field(
     'article_one',
     'Article One',
     'article_one_callback',
     'plugin_menu',
     'settings-area'
   );

   add_settings_field(
     'article_two',
     'Article Two',
     'article_two_callback',
     'plugin_menu',
     'settings-area'
   );

   add_settings_field(
     'article_three',
     'Article Three',
     'article_three_callback',
     'plugin_menu',
     'settings-area'
   );

   register_setting(
     'news_article_settings',
     'news_article_settings'
   );

 }

 add_action('admin_init', 'plugin_settings');


function enqueue_frontend_styles() {

  wp_enqueue_style(
    'plugin_frontend',
    plugin_dir_url(__FILE__) . '/includes/styles.css',
    [],
    time()
  );

}

add_action('wp_enqueue_scripts','enqueue_frontend_styles');


function wpb_shortcode() {
  $message = frontend_content_markup();
  return $message;
}

// register shortcode
add_shortcode('news-articles', 'wpb_shortcode');



function settings_display_callback() {
  echo "Choose 3 headline articles";
}


function article_one_callback() {

$current = get_option('news_article_settings');

$current_str = '';
  if ( isset( $current['article_one']) ) {
    $current_str = $current['article_one'];
  }

  echo '<input type="text" name="news_article_settings[article_one]" value="' . $current_str . '" />';
}


function article_two_callback() {

  $current = get_option('news_article_settings');

  $current_str = '';
    if ( isset( $current['article_two']) ) {
      $current_str = $current['article_two'];
    }

    echo '<input type="text" name="news_article_settings[article_two]" value="' . $current_str . '" />';
}

function article_three_callback() {

  $current = get_option('news_article_settings');

    $current_str = '';
      if ( isset( $current['article_three']) ) {
        $current_str = $current['article_three'];
    }

    echo '<input type="text" name="news_article_settings[article_three]" value="' . $current_str . '" />';
}
